#include <iostream>
#include <vector>
#include <string>

struct MyData {
    int id;
    std::string name;
    double value;
};

int main() {
    std::vector<MyData> myVector;

    int myInt = 987;
    double myDouble = 123.456;

    MyData myStruct;
    myStruct.id = 99;
    myStruct.name = "prova testo 1";
    myStruct.value = 98765.4321;
    for (int i = 0; i < 10000; ++i) {
        myVector.push_back({i, "Item" + std::to_string(i), i * 1.5});
    }

    std::cout << "Break here" << std::endl; // <-- punto di stop

    return 0;
}
